.blockCarousel.g25 .swiper {
  margin: -6px;
}

.blockCarousel.g25 .homeImgLink {
  aspect-ratio: 1 / 1;
}

.blockCarousel.g25 .homeImgLink {
  box-sizing: border-box;
  border: 6px solid transparent;
}

.blockCarousel.g25 .swiper-slide {
  box-sizing: border-box;
}

.swiper-slide {
  width: auto;
}

.blockCarousel.g25 .homeImgLink img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
}

.blockCarousel.g25 .swiper-slide:nth-child(4n + 1) {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  width: calc(100% / 8 * 2);
}

.blockCarousel.g25 .swiper-slide:nth-child(4n + 1) .homeImgLink {
  grid-column: 1 / span 2;
  grid-row: 1 / span 2;
}

.blockCarousel.g25 .swiper-slide:nth-child(4n + 2) {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  width: calc(100% / 8 * 3);
}

.blockCarousel.g25 .swiper-slide:nth-child(4n + 3) {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  width: calc(100% / 8 * 2);
}

.blockCarousel.g25 .swiper-slide:nth-child(4n + 3) .homeImgLink {
  grid-column: 1 / span 2;
  grid-row: 1 / span 2;
}

.blockCarousel.g25 .swiper-slide:nth-child(4n + 4) {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr 1fr;
  width: calc(100% / 8 * 1);
}

.blockCarousel.g25 .swiper-slide:nth-child(4n + 4) .homeImgLink {
  grid-column: 1 / span 1;
  grid-row: span 1;
}
